package cn.com.countrygarden.bi.main.model.performance.monthly;

import java.util.Date;

/**
 * 月度考核相关状态
 * @author Max Date:2018/09/19
 * @version 1.0
 * @since 1.8
 */
public class AssessmentMonthlyTarget {
    private Integer amtId;

    private Long elementId;//指标编号

    private Integer lockStatus;//锁定状态

    private Integer publicStatus;//发布状态(0表示未发布,1表示发布)

    private Integer year;//年

    private Integer month;//月度

    private Date createdDate;//创建日期

    private String createdBy;//创建人

    private Date updateDate;//更新日期

    private String updateBy;//更新人

    public AssessmentMonthlyTarget(Integer amtId, Long elementId, Integer lockStatus, Integer publicStatus, Integer year, Integer month, Date createdDate, String createdBy, Date updateDate, String updateBy) {
        this.amtId = amtId;
        this.elementId = elementId;
        this.lockStatus = lockStatus;
        this.publicStatus = publicStatus;
        this.year = year;
        this.month = month;
        this.createdDate = createdDate;
        this.createdBy = createdBy;
        this.updateDate = updateDate;
        this.updateBy = updateBy;
    }

    public AssessmentMonthlyTarget() {
        super();
    }

    public Integer getAmtId() {
        return amtId;
    }

    public void setAmtId(Integer amtId) {
        this.amtId = amtId;
    }

    public Long getElementId() {
        return elementId;
    }

    public void setElementId(Long elementId) {
        this.elementId = elementId;
    }

    public Integer getLockStatus() {
        return lockStatus;
    }

    public void setLockStatus(Integer lockStatus) {
        this.lockStatus = lockStatus;
    }

    public Integer getPublicStatus() {
        return publicStatus;
    }

    public void setPublicStatus(Integer publicStatus) {
        this.publicStatus = publicStatus;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public Integer getMonth() {
        return month;
    }

    public void setMonth(Integer month) {
        this.month = month;
    }

    public Date getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy == null ? null : updateBy.trim();
    }

}